Package org.eclipse.ecf.core.sharedobject.events

# Class SharedObjectDeactivatedEvent

java.lang.Object
org.eclipse.ecf.core.sharedobject.events.SharedObjectDeactivatedEvent

All Implemented Interfaces:
  `IContainerEvent`, `ISharedObjectDeactivatedEvent`, `Event`

public class SharedObjectDeactivatedEvent extends Object implements ISharedObjectDeactivatedEvent

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectDeactivatedEvent()`
`SharedObjectDeactivatedEvent(ID container, ID deact)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getDeactivatedID()`
`ID`
`getLocalContainerID()`
Get ID of local discovery container (the discovery container receiving this event).
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SharedObjectDeactivatedEvent

public SharedObjectDeactivatedEvent()

Since:
  2.6

### SharedObjectDeactivatedEvent

public SharedObjectDeactivatedEvent(ID container, ID deact)

## Method Details

### getDeactivatedID

public ID getDeactivatedID()

Specified by:
  `getDeactivatedID` in interface `ISharedObjectDeactivatedEvent`

### getLocalContainerID

public ID getLocalContainerID()
Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`